Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005371TestLinkBug Tracking System - Mantis Integrationpublic2012-11-27 06:502012-12-06 21:32
ReporterAmaradana 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version 
Summary0005371: SWITCHING INTEGRATION MODE -Fatal Error When navigating to the failed test case which are associated with mantis (Interface: db)
DescriptionA project has been associated with mantis (Interface: db) and an issue has been mapped to failed test case, after re configuring the bug tracker from mantis (Interface: db) to mantis (Interface: soap), up on navigating to the failted test case fatal error is throwing.
Steps To Reproduce1. Login to TestLink
2. Create project/test cases/testplan/build/ if require
3. Configure mantis Interface: db to project and log an issue in mantis
4. Now at TestLink navigate to the test execution.
5. Select a test case and change the status to fail.
6. Now click on the bug icon and enter the bug id which is previously logged and save the bug id.
7. Now reconfigure the mantis db to mantis soap and reconfigure the project with mantis soap
8. Now navigate to the Test Execution and select the failed test case, its is throwing a fatal error,

This is same in the reports as well for "Failed Test Cases"/ blocked test Cases/not run Test Cases/Bugs Per test case.

Additional InformationPlease find the attached screen shot for failed test case execution
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MYSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Bug_Tracker.png [^] (42,971 bytes) 2012-11-27 06:50


txt file icon configuration.txt [^] (590 bytes) 2012-11-28 05:04 [Show Content]
png file icon checkEnv.png [^] (25,035 bytes) 2012-12-01 09:14


png file icon onExecution.png [^] (40,009 bytes) 2012-12-01 09:18

- Relationships
related to 0005375closedfman Issue Tracker List - add option to check connection status 

-  Notes
(0017914)
fman (administrator)
2012-11-27 07:03

Please do following test

1. create MANTISDB
2. link to test project TMANTIS_DB
3. check all is working OK

4. create MANTISSOAP that point to same SERVER THAT MANTISDB
5. link to test project TMANTIS_SOAP
6. check all is working OK

7. CHANGE LINK OF TMANTIS_DB to use MANTISSOAP
8. retest
(0017920)
Amaradana (reporter)
2012-11-28 05:03

below are things that i have done.

1. TestLink = Instance Same
2. Created one more instance of mantis_db(new one)
3. Logged into TestLink and created a mantis_db with mantis Interface: db and mapped to existing project, now checked all test case working fine, am able to open successfully

4, TestLink = Same instance
5. Created one more instance of mantis_soap (new one)
6. Logged into TestLink and created mantis_soap with mantis Interface: soap and mapped to existing project, now the issue appears as said above.

I have done some more checks as below

scenario 1
1. created a new project with test cases/builds/test plan
2. did not execute any of the test case, now mapped mantis_soap to the new project, issue is same as above

scenario 2
1. created new TestLink instance with new db
2. created test cases/builds/testplans
3. created a mantis_soap and mapped to the project, now navigated to the execution, clicking on any test folder or test case issue is same.

So by this can conclude that it is primarly problem with mantis SAOP.

Francisco, am attaching my mantis soap , please confirm if thats perfectly alright,
(0017927)
fman (administrator)
2012-11-28 19:58

I've tested without issues.
This is my config for SOAP
<!-- Template mantissoapInterface -->
<issuetracker>
<username>ZZZZ</username>
<password>ZZZZ</password>
<uribase>http://localhost:8080/development/closet/mantisbt-1.2.11/</uribase> [^]
<addIssueEnabled>true</addIssueEnabled>
<project>TestLinkACCESS</project>
<category>KATA</category>
</issuetracker>

Please try changing yours to:

<!-- Template mantissoapInterface -->
<issuetracker>
<username>administrator</username>
<password>admin</password>
<uribase>http://localhost/mantis_soap/</uribase> [^]
</issuetracker>


Regards
(0017928)
fman (administrator)
2012-11-28 22:59

@amaranda
would you mind to try to get FULL LATEST CODE and test new feature (issue related to this) that may be can help us to find the source of this problem ?

thanks a lot
(0017938)
Amaradana (reporter)
2012-11-30 10:16

Sure

I tried with the first code what you released, I still face the same, am going to download the new code and try it again
(0017939)
Amaradana (reporter)
2012-11-30 10:43

I downloaded the latest code and deplyed and pointed to Mantis SOAP, but still the exist same, I downloaded the link from the below URL

http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^]

Also one small question: Do We have enable anything from environiment point of view in php.ini. I have enabled php_soap.dll extension.

Other details am using WAMP 2.2 with PHP version:.5.3.13 Apache : 2.2.22

Thanks
Amardeep
(0017945)
fman (administrator)
2012-11-30 18:47

I'm using LAMPP then have less problems. Theorically I've added a method to do ENVCHECK to be sure that all extensions are loaded.
I will try to give a look on XAMMP this week end.
(0017948)
Amaradana (reporter)
2012-11-30 19:48

Finally I made it, As in one off the issue what you have mentioned, it is php extension loader problem i guess yes, that was the problem, if we directly edit php.ini and enable the extensions, seems like its not loading.

So the only way to load with out problem is from the settings of WAMP.

like Wamp icon left click > Php > Php extensions . enable by selecting the extension. server restarts and then it works
(0017950)
fman (administrator)
2012-12-01 08:14

Good but what i do not like is that in mantissoapInterface.class.php there is the method:

public static function checkEnv()

that has to check for REQUIRED loaded extensions

  public static function checkEnv()
  {
    $ret = array();
    $ret['status'] = extension_loaded('soap');
    $ret['msg'] = $ret['status'] ? 'OK' : 'You need to enable SOAP extension';
    return $ret;
  }

it would be interested to understand why in you case has not provided the message
(0017951)
fman (administrator)
2012-12-01 09:16

Can you ask you a favour ?
give a look to the image (checkEnv.png), I've changed on public static function checkEnv() soap with XXXX, then has gone to the feature to manage issuetrackers and got the message.
While I do other checks can you verify if you get SAME behaviour if you RETURN YOUR ENV TO THE ORIGINAL WRONG CONFIG regarding PHP EXTENSION ?

thanks
(0017952)
fman (administrator)
2012-12-01 09:18
edited on: 2012-12-01 09:19

with my WRONG BY CHOICE config (WITH THE NEW CODE COMMITED) I've gone to EXEC feature and get controlled error message.

(0017953)
fman (administrator)
2012-12-01 09:21

commits

http://gitorious.org/testlink-ga/testlink-code/commit/a69cc6fae7b39e5e1ae33acd3ba042d8c76175ed [^]
(0017954)
Amaradana (reporter)
2012-12-01 10:17
edited on: 2012-12-01 10:22

i tried to change the commit manually in my local machine, from the above link what you have placed, but there are some errors. Am downloading the latest code, and then i will give a try once again and will let you know

(0017956)
Amaradana (reporter)
2012-12-01 12:06

i downloaded the latest code and tested, I have disabled the php_soap.dll extension.

In issue tracker page up on clicking the connection icon page refresh and navigate to the fatal error page.

In the Test execution, upon selecting the test case i still route to the fatal error page.

Also I have verified the checking connection functionality, After the PHP_SOAP.dll is enabled upon clicking the connection, it checks the connect and displays correctly(Connection ko check configuration/Connection ok).
(0017957)
fman (administrator)
2012-12-01 15:54

ok, thanks will see on future release if this can be fixed in better way.

- Issue History
Date Modified Username Field Change
2012-11-27 06:50 Amaradana New Issue
2012-11-27 06:50 Amaradana File Added: Bug_Tracker.png
2012-11-27 07:03 fman Note Added: 0017914
2012-11-27 07:04 fman Summary Fatal Error When navigating to the failed test case which are associated with mantis (Interface: db) => SWITCHING INTEGRATION MODE -Fatal Error When navigating to the failed test case which are associated with mantis (Interface: db)
2012-11-27 07:04 fman Description Updated View Revisions
2012-11-28 05:03 Amaradana Note Added: 0017920
2012-11-28 05:04 Amaradana File Added: configuration.txt
2012-11-28 19:58 fman Note Added: 0017927
2012-11-28 22:58 fman Relationship added related to 0005375
2012-11-28 22:59 fman Note Added: 0017928
2012-11-30 10:16 Amaradana Note Added: 0017938
2012-11-30 10:43 Amaradana Note Added: 0017939
2012-11-30 18:47 fman Note Added: 0017945
2012-11-30 19:48 Amaradana Note Added: 0017948
2012-12-01 08:14 fman Note Added: 0017950
2012-12-01 09:14 fman File Added: checkEnv.png
2012-12-01 09:16 fman Note Added: 0017951
2012-12-01 09:18 fman Note Added: 0017952
2012-12-01 09:18 fman File Added: onExecution.png
2012-12-01 09:19 fman Note Edited: 0017952 View Revisions
2012-12-01 09:21 fman Note Added: 0017953
2012-12-01 09:21 fman Tag Attached: TO BE FIXED on 2.0
2012-12-01 09:21 fman Assigned To => fman
2012-12-01 09:21 fman Status new => assigned
2012-12-01 09:21 fman Task Workflow Status TBD => READY FOR TESTING
2012-12-01 10:17 Amaradana Note Added: 0017954
2012-12-01 10:22 Amaradana Note Edited: 0017954 View Revisions
2012-12-01 12:06 Amaradana Note Added: 0017956
2012-12-01 15:54 fman Note Added: 0017957



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker